#include    "../header/global.h"
/****************************************/
#define     positive             1
#define     negative             0

#define     mode_fifo            1            /* 1=fifo mode ; 0=direct mode */
/******** cc2500 strobe command *********/
#define     Strobe_SRES          0x30         /* reset chip */
#define     Strobe_SFSTXON       0x31         /* enable calibration frequency */
#define     Strobe_SXOFF         0x32         /* turn off crystal oscillator */
#define     Strobe_SRX           0x34         /* enable rx */
#define     Strobe_STX           0x35         /* enable tx */
#define     Strobe_SIDLE         0x36         /* enter idle */
#define     Strobe_SPWD          0x39         /* enter power down when CS goes high */ 
#define     Strobe_SFRX          0x3A         /* flush FIFO rx buffer */
#define     Strobe_SFTX          0x3B         /* flush FIFO tx buffer */    
      
/******* cc2500 register address ********/
#define     Burst_Write          0x40

#define     Reg_Iocfg2           0x00        /* GDO2 output pin configuration */
#define     Reg_Iocfg1           0x01        /* GDO1 output pin configuration */
#define     Reg_Iocfg0           0x02        /* GDO0 output pin configuration */

#define     Reg_FIFOTHR          0x03        /* RX FIFO and TX FIFO thresholds */

#define     Reg_Sync1            0x04        /* Sync word, high byte */
#define     Reg_Sync0            0x05        /* Sync word, low byte */

#define     Reg_Pktlen           0x06        /* Packet length */
#define     Reg_Pktctrl1         0x07        /* Packet automation control */
#define     Reg_Pktctrl0         0x08        /* Packet automation control */

#define     Reg_ADDR             0x09        /* Device address */

#define     Reg_Channr           0x0A        /* Channel number */
#define     Reg_Fsctrl1          0x0B        /* Frequency synthesizer control */
#define     Reg_Fsctrl0          0x0C        /* Frequency synthesizer control */
#define     Reg_Freq2            0x0D        /* Frequency control word, high byte */
#define     Reg_Freq1            0x0E        /* Frequency control word, middle byte */
#define     Reg_Freq0            0x0F        /* Frequency control word, low byte */
#define     Reg_Mdmcfg4          0x10        /* Modem configuration */
#define     Reg_Mdmcfg3          0x11        /* Modem configuration */
#define     Reg_Mdmcfg2          0x12        /* Modem configuration */
#define     Reg_Mdmcfg1          0x13        /* Modem configuration */
#define     Reg_Mdmcfg0          0x14        /* Modem configuration */
#define     Reg_Deviatn          0x15        /* Modem deviation setting */

#define     Reg_Mcsm2            0x16        /* Main Radio Cntrl State Machine config */
#define     Reg_Mcsm1            0x17        /* Main Radio Cntrl State Machine config */
#define     Reg_Mcsm0            0x18        /* Main Radio Cntrl State Machine config */
#define     Reg_Foccfg           0x19        /* Frequency Offset Compensation config */
#define     Reg_Bscfg            0x1A        /* Bit Synchronization configuration */
#define     Reg_Agcctrl2         0x1B        /* AGC control */
#define     Reg_Agcctrl1         0x1C        /* AGC control */
#define     Reg_Agcctrl0         0x1D        /* AGC control */

#define     Reg_WOREVT1          0x1E        /* High byte Event 0 timeout */
#define     Reg_WOREVT0          0x1F        /* Low byte Event 0 timeout */
#define     Reg_WORCTRL          0x20        /* Wake On Radio control */

#define     Reg_Frend1           0x21        /* Front end RX configuration */
#define     Reg_Frend0           0x22        /* Front end TX configuration */
#define     Reg_Fscal3           0x23        /* Frequency synthesizer calibration */
#define     Reg_Fscal2           0x24        /* Frequency synthesizer calibration */
#define     Reg_Fscal1           0x25        /* Frequency synthesizer calibration */
#define     Reg_Fscal0           0x26        /* Frequency synthesizer calibration */

#define     Reg_RCCTRL1          0x27        /* RC oscillator configuration */
#define     Reg_RCCTRL0          0x28        /* RC oscillator configuration */

#define     Reg_Fstest           0x29        /* Frequency synthesizer cal control */

#define     Reg_PTEST            0x2A        /* Production test */
#define     Reg_AGCTEST          0x2B        /* AGC test */
#define     Reg_TEST2            0x2C        /* Various test settings */
#define     Reg_TEST1            0x2D        /* Various test settings */
#define     Reg_TEST0            0x2E        /* Various test settings */

#define     Reg_PA_Table         0x3e  
/******* cc2500 status_reg addr ********/
#define     Reg_PARTNUM          0x30        /* Part number */
#define     Reg_VERSION          0x31        /* Current version number */
#define     Reg_FREQEST          0x32        /* Frequency offset estimate */
#define     Reg_LQI              0x33        /* Demodulator estimate for link quality */
#define     Reg_RSSI             0x34        /* Received signal strength indication */
#define     Reg_MARCSTATE        0x35        /* Control state machine state */
#define     Reg_WORTIME1         0x36        /* High byte of WOR timer */
#define     Reg_WORTIME0         0x37        /* Low byte of WOR timer */
#define     Reg_PKTSTATUS        0x38        /* Current GDOx status and packet status */
#define     Reg_VCO_VC_DAC       0x39        /* Current setting from PLL cal module */
#define     Reg_TXBYTES          0x3A        /* Underflow and # of bytes in TXFIFO */
#define     Reg_RXBYTES          0x3B        /* Overflow and # of bytes in RXFIFO */
/****************************************/
    /* 书ʱ */
code unsigned char flash_Power_Table[0x08]= {0xfe,0xbb,0xa9,0x7f,0x6e,0x97,0xc6,0x8d};
